Fixing LibreOffice after an upgrade to OSX El Capitan

I read an article this morning which stated that more developers use Macs than Linux and while I can’t disagree with that I am perplexed by my recent upgrade to El Capitan. My four year old MacBook Pro continues to perform well despite its age. I’m happy with that, but after upgrading to El Capitan from Yosemite yesterday, LibreOffice 5 no longer worked. I kept getting an error message about the need to install Java JRE. I’ve downloaded the Java packages from Oracle after reading some “how-tos” after doing some “googling.” I use my Linux laptop more for everyday so it’s not a huge inconvenience, but I’d really like to know how to solve this current problem.

There is a fix I’m happy to report and it involved downloading the appropriate JRE environment from Oracle for OSX 10.11.3. Then I deleted LibreOffice from my system and then downloaded and installed the most recent version of the software. After doing all that I had to open LibreOffice for the first time and then go to LibreOffice  -> Preferences  -> Advanced then select the version of the Java Environment which in my case was version 1.8.0_73. Highlight that selection, press “Add” and then “Okay” and you’re done.

Advertisements

About Don

Social entrepreneur, Educator, Open Source Advocate
This entry was posted in Linux, open source, Uncategorized and tagged , , . Bookmark the permalink.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s